Skip to main content
GET
Fetch a Specific Campaign

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

campaign
string
required

The id or the vid of the campaigns to retrieve.

Response

JSON A full Campaigns object.

object
string

Value is “Campaign”

id
string

A merchant-specified unique identifier. If not specified, this object can be identified by its vid

vid
string

A Globally Unique Identifier (GUID) for this object. Assigned by CashBox

Maximum string length: 128
name
string

Name of campaign.

description
string

Description of campaign.

state
enum<string>

Can be Active, Canceled, Complete, Inactive, MatchAnyState, Pending, Undefined

Available options:
Active,
Canceled,
Complete,
Inactive,
MatchAnyState,
Undefined,
Pending
offer_start_date
string<date-time>

The first date on which the offers may be redeemed.

offer_end_date
string<date-time>

The last date on which the offers may be redeemed.

type
string

specifies what type of campaign this is Coupon, Promotion, Undefined.

percentage_discount
string<float>

Defines the discount as a percentage of the original Product price. Note:- flat_amount_discounts and percentage_discount are mutually exclusive. It can be either or but not both

eligible_products
object

Zero or more eligible Products eligible for this Campaign

eligible_billing_plans
object

Zero or more eligible BillingPlans eligible for this Campaign

restrict_to_new_subscription
boolean

If true, Campaign offer only applies to new subscriptions, not existing ones

expiration_date
string<date-time>

Expiration date of a “Fixed” Campaign. “Rolling” Campaigns should leave this blank

number_of_periods
integer<int32>

Number of times the promotion repeats, e.g. if you want to discount 3 cycles of a biweekly subscription, this would be 3

promotion_code
string

The redemption code associated with the Promotion

promotion_code_aliases
string

An array of alternative redemption codes for the Promotion. Note:- Setting this array will replace any existing list of aliases; it will not add new values to an existing list.

flat_amount_discounts
object[]
max_redemptions
integer<int32>
coupon_code_quantity
integer<int32>
coupon_code_prefix
string
coupon_code_separator
string
coupon_code_requires_activation
boolean
on_demand_codes_allowed
boolean
discount_method
string

Specifies the discounting method either Compounded or Direct. Only supported for Stackable Discounts.

apply_discount_per_item
string

If true, discounts on items will be multiplied by the item quantity. Only supported for Stackable Discounts.

item_display_text
string

Name to be placed on ItemDiscounts generated for this Campaign. Only supported for Stackable Discounts.

max_redemptions_per_customer
integer<int32>

Maximum number of Campaign redemptions for any given customer account. Only supported for Stackable Discounts.

max_redemptions_per_subscription
integer<int32>

Maximum number of Campaign redemptions for any given subscription. Only supported for Stackable Discounts.

stackability
enum<string>

Defines constraint on stackability (concurrent usage) of Campaigns. Defaults to Stackable. Only supported for Stackable Discounts.

Available options:
Unspecified,
Stackable,
Unstackable
total_code_marked_used
integer<int32>

Count of all coupon codes that are marked as used for the underlying campaign.